classification
Title: builtin compile() doc needs PyCF_DONT_IMPLY_DEDENT
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: anthonybaxter, berker.peksag, docs@python, eric.araujo, terry.reedy
Priority: normal Keywords:

Created on 2006-12-09 05:45 by anthonybaxter, last changed 2016-04-19 17:09 by berker.peksag. This issue is now closed.

Messages (3)
msg61047 - (view) Author: Anthony Baxter (anthonybaxter) (Python triager) Date: 2006-12-09 05:45
http://docs.python.org/lib/built-in-funcs.html doesn't mention the flag PyCF_DONT_IMPLY_DEDENT, as used by codeop.py in the stdlib. (I note that codeop.py has that flag as a literal, copied out of pythonrun.h - it should probably be exposed in some way).
msg138343 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-06-14 16:28
Is this something that would actually be useful to someone using compile()?

See #12207 also
msg263753 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-19 17:09
A similar request (issue 12207 - "Document ast.PyCF_ONLY_AST") was rejected in 2012.
History
Date User Action Args
2016-04-19 17:09:24berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg263753

resolution: rejected
stage: resolved
2012-01-09 16:13:43eric.araujosetnosy: + eric.araujo
2011-06-14 16:28:22terry.reedysetnosy: + terry.reedy

messages: + msg138343
versions: + Python 3.3, - Python 3.1
2010-07-10 15:44:38BreamoreBoysetassignee: docs@python

nosy: + docs@python
versions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.6, Python 3.0
2009-03-30 17:39:45ajaksu2settype: behavior
versions: + Python 2.6, Python 3.0
2006-12-09 05:45:57anthonybaxtercreate